Use these operations to interact with Workflows in Cortex.
Required permissions
- View Workflows: Your API key must have the
View Workflows permission.
- Create or update Workflows: Your API key must have the
Edit Workflows permission.
- Callback a paused async HTTP block: Your API key must have the
Execute Workflow Runs permission.
- Run a workflow: Your API key must have the
Execute Workflow Runs permission.
- View or list workflow runs: Your API key must have the
View workflow runs permission.
Operations
List workflows
GET /api/v1/workflows
Retrieve workflow
GET /api/v1/workflows/{tagOrId}
Create or update workflow
POST /api/v1/workflows
Validates YAML descriptor
POST /api/v1/workflows/validate
Update asynchronous HTTP request Workflow block
POST /api/v1/workflows/{tagOrId}/callback/{callbackId}
Delete workflow
DELETE /api/v1/workflows/{tagOrId}
Run a workflow
POST /api/v1/workflows/{tagOrId}/runs
Get workflow run details
GET /api/v1/workflows/{tagOrId}/runs/{runId}
List workflow runs
GET /api/v1/workflows/runs
Last modified on October 13, 2026